Skip to content

Update Personal Information API ​

Call this API after the user logs in to update personal information. This API does not support updating personal password, mobile number, or email.

Request Description ​

Request Headers ​

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4
AuthorizationIDtoken returned by the user login API. Format is Bearer {id_token}YesStringBearer eyJraWQiOiI1ZWZhN2ZmZDA2Z...

Request Example ​

json
{
  "user_name": "zhangsan",
  "name": "Zhang San",
  "head_img": "https://thirdwx.qlogo.cn/mmopen/vi_32/Q0j4TwGTfTIQ8QOTSn3y4cYHLlMC3sv6RCBmeMkxtOog47Zr3v2Afbqc2bmP0WibUIUskX39eJlJAEbAibXs",
  "attr_gender":"male",
  "attr_birthday": "2022-02-17",
  "attr_nick_name": "Zhang San",
  "mailing_address": "Wuhan, Hubei Province",
  "zip_code": "430000",
  "first_name": "zhangsan",
  "middle_name": "zhangsan",
  "last_name": "zhangsan",
  "industry": "Public institution",
  "extension": {
    "age":"18"
  }
}

Request Parameters ​

Parameter NameNameRequiredTypeDescription
user_nameUsernameNoString
nameFull nameNoString
head_imgAvatar (URL)NoString
attr_genderGenderNoStringOptional values: female, male, unknow (keep secret)
attr_birthdayBirthdayNoStringFormat: yyyy-MM-dd
attr_nick_nameNicknameNoString
mailing_addressMailing addressNoString
zip_codeZip codeNoString
first_nameFirst nameNoString
middle_nameMiddle nameNoString
last_nameLast nameNoString
industryIndustryNoString
extensionExtension attributeNoJSONObjectExtension attributes need to be defined in the Enterprise Center

Response Examples ​

Success Example ​

HTTP/1.1 200 OK

json

Error Example ​

HTTP/1.1 400 Bad Request

json
{
    "error_code": "SDK.COMMON.1001",
    "error_msg": "Parameter X-client-id cannot be left blank."
}

Response Parameters ​

None

BambooCloud IDaaS Open Platform